Bug 956063 - Review Request: python-gevent-socketio - SocketIO server based on the Gevent pywsgi server
Summary: Review Request: python-gevent-socketio - SocketIO server based on the Gevent ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matej Stuchlik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 956066
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-24 09:02 UTC by Matthias Runge
Modified: 2016-02-01 02:14 UTC (History)
4 users (show)

Fixed In Version: python-gevent-socketio-0.3.5-2.rc2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-14 01:27:02 UTC
Type: ---
mstuchli: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2013-04-24 09:02:04 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-gevent-socketio.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-gevent-socketio-0.3.5-1.rc2.fc18.src.rpm
Description: gevent-socketio is a Python implementation of the Socket.IO
protocol, developed originally for Node.js by LearnBoost and then
ported to other languages.  Socket.IO enables real-time web
communications between a browser and a server, using a WebSocket-like
API.  One aim of this project is to provide a single gevent-based
API that works across the different WSGI-based web frameworks out
there (Pyramid, Pylons, Flask, web2py, Django, etc...).  Only ~3 lines
of code are required to tie-in gevent-socketio in your framework.

Fedora Account System Username: mrunge

Comment 1 Matej Stuchlik 2013-04-24 09:54:31 UTC
I'll take this.

Comment 2 Matej Stuchlik 2013-04-25 07:36:00 UTC
You are missing python-setuptools from BuildRequires and possibly (according to the github repo) python-gevent-websocket from Requires, seems fine otherwise.

Comment 4 Matej Stuchlik 2013-04-29 05:29:51 UTC
Looks good now, approved.

Comment 5 Matthias Runge 2013-04-29 06:56:32 UTC
Thank you for the review!

New Package SCM Request
=======================
Package Name: python-gevent-socketio
Short Description: SocketIO server based on the Gevent pywsgi server
Owners: mrunge
Branches: f18 f19 el6

Comment 6 Gwyn Ciesla 2013-04-29 13:17:19 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-04-30 06:00:16 UTC
python-gevent-socketio-0.3.5-2.rc2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-gevent-socketio-0.3.5-2.rc2.fc18

Comment 8 Fedora Update System 2013-04-30 06:01:18 UTC
python-gevent-socketio-0.3.5-2.rc2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-gevent-socketio-0.3.5-2.rc2.fc19

Comment 9 Fedora Update System 2013-04-30 20:07:21 UTC
python-gevent-socketio-0.3.5-2.rc2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 10 Fedora Update System 2013-05-14 01:27:02 UTC
python-gevent-socketio-0.3.5-2.rc2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.